## Big Data Table Module

The Big Data Table module provides a powerful and flexible solution for generating HTML tables from uploaded CSV files. This module is designed to handle large datasets efficiently, making it ideal for sites that need to display extensive tabular data.

### Features

- **CSV to HTML Conversion**: Automatically generate HTML tables from uploaded CSV files.
- **Drush Integration**: Use custom Drush commands to generate HTML tables from CSV files via the command line.
- **Admin Interface**: Manage and configure your big data tables through an intuitive admin interface.
- **Content Authoring**: Easily access the Big Data Table configuration page under Configuration -> Content Authoring.

### Setup

1. **Enable the Module**: Install and enable the Big Data Table module.
2. **Configuration Page**: Visit the Big Data Table configuration page at `/admin/config/content/big-data-table` to add and manage your big data tables.
3. **Generate HTML**: After saving a page, click the "Generate HTML" button to create HTML tables from the uploaded CSV files.
4. **Clear Cache**: Clear the cache to apply changes and ensure data consistency.
5. **Drush Command**: Alternatively, run the Drush command `drush bigdata-generate-html` to generate HTML files from CSV files via the command line.

### Usage

The Big Data Table module is perfect for websites that need to display large datasets in a tabular format. Whether you are managing product inventories, research data, or any other large dataset, this module provides a seamless way to convert CSV data into HTML tables.

### Example CSV File

Here is an example of a CSV file format that works with the Big Data Table module:

```
First Name,Last Name,Age,Nationality
John,Doe,30,American
Jane,Smith,25,British
```